package com.ruoyi.screen.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 大屏数据请朗专项行动数据统计响应类
 */
@Data
@ApiModel("大屏数据请朗专项行动数据统计响应类")
public class ZongzhiActionResponse {


    @ApiModelProperty(value = "数量")
    private Integer count;


    @ApiModelProperty(value = "发布时间")
    @JsonFormat(pattern = "MM")
    private Date zhuanxiangTime;


    @ApiModelProperty(value = "百分比")
    private double pt;


    @ApiModelProperty(value = "处理类型 1.处理有害信息 2.关闭直播平台违规账号")
    private Integer type;





}
