package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络安全官对象 tc_extwork_safetyadmin
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcExtworkSafetyadmin extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private String areaId;

    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 第一负责人
     */
    @Excel(name = "第一负责人")
    @ApiModelProperty(value = "第一负责人")
    private String firstPrincipal;

    /**
     * 职务
     */
    @Excel(name = "职务")
    @ApiModelProperty(value = "职务")
    private String duty;

    /**
     * 直接负责人
     */
    @Excel(name = "直接负责人")
    @ApiModelProperty(value = "直接负责人")
    private String directPrincipal;

    /**
     * 职务_1
     */
    @Excel(name = "职务_1")
    @ApiModelProperty(value = "职务_1")
    private String duty1;

    /**
     * 负责科室
     */
    @Excel(name = "负责科室")
    @ApiModelProperty(value = "负责科室")
    private String fuzeKeshi;

    /**
     * 网络安全官
     */
    @Excel(name = "网络安全官")
    @ApiModelProperty(value = "网络安全官")
    private String networkAqg;

    /**
     * 职务_2
     */
    @Excel(name = "职务_2")
    @ApiModelProperty(value = "职务_2")
    private String duty2;

    /**
     * 电话
     */
    @Excel(name = "电话")
    @ApiModelProperty(value = "电话")
    private String tel;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
