package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 舆情分类对象 tc_yq_fl
 *
 * @author ruoyi
 * @date 2023-08-28
 */
@Data
public class TcYqFl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private String areaId;

    /**
     * 媒体类型
     */
    @Excel(name = "媒体类型")
    @ApiModelProperty(value = "媒体类型")
    private Long mediaType;

    /**
     * 涉事类型
     */
    @Excel(name = "涉事类型")
    @ApiModelProperty(value = "涉事类型")
    private Long eventType;

    /**
     * 媒体数据
     */
    @Excel(name = "媒体数据")
    @ApiModelProperty(value = "媒体数据")
    private String mediaCount;

    /**
     * 涉事数量
     */
    @Excel(name = "涉事数量")
    @ApiModelProperty(value = "涉事数量")
    private String eventCount;

}
