package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 网评文章录用情况响应类
 */
@Data
@ApiModel("网评文章录用情况响应类")
public class ZongzhiArticlesResponse {

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer count ;


    /**
     * 文章类型 1.	本地录用
     * 2.	苏州级录用
     * 3.	省级级以上录用
     * 4.	上级媒体
     * 5.	本地发布
     */
    @ApiModelProperty(value = "文章类型 1.本地录用 2.苏州级录用 3.省级级以上录用 4.上级媒体 5.本地发布")
    private Integer type ;


}
